## com.google.gwt.event.dom.client
Class ScrollEvent

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<H>
          com.google.gwt.event.dom.client.DomEvent<ScrollHandler>
              com.google.gwt.event.dom.client.ScrollEvent

All Implemented Interfaces:
  HasNativeEvent

    public class ScrollEvent

extends DomEvent<ScrollHandler>

Represents a native scroll event.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DomEvent
`DomEvent.Type<H extends EventHandler>`

Constructor Summary
`protected` | `ScrollEvent()` Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` to fire scroll events.

Method Summary
`protected void` | `dispatch(ScrollHandler handler)` Should only be called by `HandlerManager`.
`DomEvent.Type<ScrollHandler>` | `getAssociatedType()` Returns the type used to register this event.
`static DomEvent.Type<ScrollHandler>` | `getType()` Gets the event type associated with scroll events.

Methods inherited from class com.google.gwt.event.dom.client.DomEvent
`fireNativeEvent, fireNativeEvent, getNativeEvent, getRelativeElement, preventDefault, setNativeEvent, setRelativeElement, stopPropagation`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScrollEvent

    protected ScrollEvent()

  Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` to fire scroll events.

Method Detail

### getType

    public static DomEvent.Type<ScrollHandler> getType()

  Gets the event type associated with scroll events.

  Returns:
    the handler type

### getAssociatedType

    public final DomEvent.Type<ScrollHandler> getAssociatedType()

  Description copied from class: `GwtEvent`
  Returns the type used to register this event. Used by handler manager to dispatch events to the correct handlers.

  Specified by:
    `getAssociatedType` in class `DomEvent<ScrollHandler>`
  Returns:
    the type

### dispatch

    protected void dispatch(ScrollHandler handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<ScrollHandler>`
  Parameters:
    `handler` - handler